CREATE TABLE OBSERVED_VLAN (
    SWITCH_ID INTEGER  CONSTRAINT OBSERVED_VLAN_SWITCH_ID_NN CHECK ("SWITCH_ID" IS NOT NULL),
    NETWORK_ID INTEGER CONSTRAINT OBSERVED_VLAN_NETWORK_ID_NN CHECK ("NETWORK_ID" IS NOT NULL),
    VLAN_ID INTEGER    CONSTRAINT OBSERVED_VLAN_VLAN_ID_NN CHECK ("VLAN_ID" IS NOT NULL),
    CREATION_DATE DATE CONSTRAINT OBSERVED_VLAN_CR_DATE_NN CHECK ("CREATION_DATE" IS NOT NULL),
    CONSTRAINT OBSERVED_VLAN_MAX_VLAN_ID CHECK ("VLAN_ID" < 4096),
    CONSTRAINT OBSERVED_VLAN_PK PRIMARY KEY (SWITCH_ID, NETWORK_ID, VLAN_ID),
    CONSTRAINT OBS_VLAN_HW_FK FOREIGN KEY(SWITCH_ID) REFERENCES TOR_SWITCH (ID) ON DELETE CASCADE,
    CONSTRAINT OBS_VLAN_NET_FK FOREIGN KEY(NETWORK_ID) REFERENCES NETWORK (ID) ON DELETE CASCADE
);
commit;


CREATE TABLE vlan_info (
    VLAN_ID    NUMBER(*,0)  CONSTRAINT VLAN_INFO_VLAN_ID_NN    CHECK ("VLAN_ID" IS NOT NULL),
    PORT_GROUP VARCHAR2(32) CONSTRAINT VLAN_INFO_PORT_GROUP_NN CHECK ("PORT_GROUP" IS NOT NULL),
    VLAN_TYPE  VARCHAR2(32) CONSTRAINT VLAN_INFO_VLAN_TYPE_NN  CHECK ("VLAN_TYPE" IS NOT NULL),
    CONSTRAINT VLAN_INFO_MAX_VLAN_ID CHECK ("VLAN_ID" < 4096),
    CONSTRAINT VLAN_INFO_PK PRIMARY KEY (VLAN_ID),
    CONSTRAINT VLAN_INFO_PORT_GROUP_UK  UNIQUE (PORT_GROUP)
);
commit;

INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (701, 'storage-v701', 'storage');
INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (702, 'vmotion-v702', 'vmotion');
INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (710, 'user-v710', 'user');
INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (711, 'user-v711', 'user');
INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (712, 'user-v712', 'user');
INSERT INTO VLAN_INFO (VLAN_ID, PORT_GROUP, VLAN_TYPE) VALUES (713, 'user-v713', 'user');

commit;

