CREATE SEQUENCE "OS_SEQ"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 16 CACHE 2 NOORDER NOCYCLE;

CREATE TABLE "OPERATING_SYSTEM" (
  "ID" NUMBER(*,0),
  "NAME" VARCHAR2(32),
  "VERSION" VARCHAR2(16),
  "ARCHETYPE_ID" NUMBER(*,0),
  "CREATION_DATE" DATE,
  "COMMENTS" VARCHAR2(255)
);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (1, 'linux', '4.0.1-ia32',
    (select id from archetype where name ='aquilon'), sysdate);

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (2, 'linux', '4.0.1-x86_64',
    (select id from archetype where name ='aquilon'), sysdate);

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (3, 'linux', '5.0-x86_64',
    (select id from archetype where name ='aquilon'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (4, 'esxi', '4.0.0',
    (select id from archetype where name ='vmhost'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (5, 'linux', '4.0.1-ia32',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (6, 'linux', '4.0.1-x86_64',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (7, 'linux', '4.0.2-ia32',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (8, 'linux', '4.0.2-x86_64',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (9, 'linux', '5.0-x86_64',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (10, 'linux', '3.0.3-ia32',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (11, 'linux', '3.0.3-amd64',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (12, 'linux', 'generic',
    (select id from archetype where name ='aurora'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (13, 'windows', 'generic',
    (select id from archetype where name ='windows'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (14, 'ontap', '7.3.1p2d20',
    (select id from archetype where name ='pserver'), sysdate);
commit;

INSERT INTO OPERATING_SYSTEM (ID,NAME,VERSION,ARCHETYPE_ID,CREATION_DATE) VALUES
    (15, 'linux', '5.0.1-x86_64',
    (select id from archetype where name ='aquilon'), sysdate);
commit;

ALTER TABLE "OPERATING_SYSTEM" ADD CONSTRAINT "OPERATING_SYSTEM_UK" UNIQUE ("NAME", "VERSION", "ARCHETYPE_ID") ENABLE;
ALTER TABLE "OPERATING_SYSTEM" MODIFY ("ARCHETYPE_ID" CONSTRAINT "OS_ARCHETYPE_ID_NN" NOT NULL ENABLE);
ALTER TABLE "OPERATING_SYSTEM" MODIFY ("CREATION_DATE" CONSTRAINT "OS_CR_DATE_NN" NOT NULL ENABLE);
ALTER TABLE "OPERATING_SYSTEM" MODIFY ("ID" CONSTRAINT "OS_ID_NN" NOT NULL ENABLE);
ALTER TABLE "OPERATING_SYSTEM" MODIFY ("NAME" CONSTRAINT "OS_NAME_NN" NOT NULL ENABLE);
ALTER TABLE "OPERATING_SYSTEM" ADD CONSTRAINT "OS_PK" PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OPERATING_SYSTEM" MODIFY ("VERSION" CONSTRAINT "OS_VERSION_NN" NOT NULL ENABLE);
ALTER TABLE "OPERATING_SYSTEM" ADD CONSTRAINT "OS_ARCH_FK" FOREIGN KEY ("ARCHETYPE_ID") REFERENCES "ARCHETYPE" ("ID") ENABLE;
commit;

ALTER TABLE "HOST" ADD("OPERATING_SYSTEM_ID" NUMBER(*,0));
commit;

ALTER TABLE "BUILD_ITEM" DROP CONSTRAINT "HOST_TMPLT_UK";
ALTER TABLE "BUILD_ITEM" DROP CONSTRAINT "BUILD_ITEM_CFG_PATH_ID_NN";

ALTER TABLE "BUILD_ITEM" ADD ("SERVICE_INSTANCE_ID" NUMBER(*,0));
ALTER TABLE "BUILD_ITEM" ADD CONSTRAINT "BUILD_ITEM_SVC_INST_FK" FOREIGN KEY ("SERVICE_INSTANCE_ID") REFERENCES "SERVICE_INSTANCE" ("ID") ENABLE;
commit;
