CREATE TABLE grn (
	eon_id INTEGER CONSTRAINT "GRN_EON_ID_NN" NOT NULL,
	grn VARCHAR2(255 CHAR) CONSTRAINT "GRN_GRN_NN" NOT NULL,
	disabled INTEGER CONSTRAINT "GRN_DISABLED_NN" NOT NULL,
	creation_date DATE CONSTRAINT "GRN_CR_DATE_NN" NOT NULL,
	CONSTRAINT "GRN_PK" PRIMARY KEY (eon_id),
	CONSTRAINT "GRN_DISABLED_CK" CHECK (disabled IN (0, 1)),
	CONSTRAINT "GRN_GRN_UK" UNIQUE (grn)
);

CREATE TABLE personality_grn_map (
	personality_id INTEGER CONSTRAINT "PERS_GRN_MAP_PRSNLTY_ID_NN" NOT NULL,
	eon_id INTEGER CONSTRAINT "PERS_GRN_MAP_EON_ID_NN" NOT NULL,
	CONSTRAINT "PERSONALITY_GRN_MAP_PK" PRIMARY KEY (personality_id, eon_id),
	CONSTRAINT "PERS_GRN_MAP_PERSONALITY_FK" FOREIGN KEY (personality_id) REFERENCES personality (id),
	CONSTRAINT "PERS_GRN_MAP_GRN_FK" FOREIGN KEY (eon_id) REFERENCES grn (eon_id)
);

CREATE TABLE host_grn_map (
	host_id INTEGER CONSTRAINT "HOST_GRN_MAP_HOST_ID_NN" NOT NULL,
	eon_id INTEGER CONSTRAINT "HOST_GRN_MAP_EON_ID_NN" NOT NULL,
	CONSTRAINT "HOST_GRN_MAP_PK" PRIMARY KEY (host_id, eon_id),
	CONSTRAINT "HOST_GRN_MAP_HOST_FK" FOREIGN KEY (host_id) REFERENCES host (machine_id),
	CONSTRAINT "HOST_GRN_MAP_GRN_FK" FOREIGN KEY (eon_id) REFERENCES grn (eon_id)
);

QUIT;
