CREATE SEQUENCE feature_id_seq;
CREATE SEQUENCE feature_link_id_seq;

CREATE TABLE feature (
	id INTEGER CONSTRAINT "FEATURE_ID_NN" NOT NULL,
	name VARCHAR2(128 CHAR) CONSTRAINT "FEATURE_NAME_NN" NOT NULL,
	feature_type VARCHAR2(16 CHAR) CONSTRAINT "FEATURE_FEATURE_TYPE_NN" NOT NULL,
	post_personality SMALLINT CONSTRAINT "FEATURE_POST_PERSONALITY_NN" NOT NULL,
	creation_date DATE CONSTRAINT "FEATURE_CR_DATE_NN" NOT NULL,
	comments VARCHAR2(255 CHAR),
	CONSTRAINT "FEATURE_PK" PRIMARY KEY (id),
	CONSTRAINT "FEATURE_NAME_TYPE_UK" UNIQUE (name, feature_type),
	CONSTRAINT "FEATURE_POST_PERSONALITY_CK" CHECK (post_personality IN (0, 1))
);

CREATE TABLE feature_link (
	id INTEGER CONSTRAINT "FEATURE_LINK_ID_NN" NOT NULL,
	feature_id INTEGER CONSTRAINT "FEATURE_LINK_FEATURE_ID_NN" NOT NULL,
	model_id INTEGER,
	archetype_id INTEGER,
	personality_id INTEGER,
	interface_name VARCHAR2(32 CHAR),
	creation_date DATE CONSTRAINT "FEATURE_LINK_CR_DATE_NN" NOT NULL,
	CONSTRAINT "FEATURE_LINK_PK" PRIMARY KEY (id),
	CONSTRAINT "FEATURE_LINK_UK" UNIQUE (feature_id, model_id, archetype_id, personality_id, interface_name),
	CONSTRAINT "FEATURE_LINK_FEAT_FK" FOREIGN KEY (feature_id) REFERENCES feature (id),
	CONSTRAINT "FEATURE_LINK_MODEL_FK" FOREIGN KEY (model_id) REFERENCES model (id) ON DELETE CASCADE,
	CONSTRAINT "FEATURE_LINK_ARCH_FK" FOREIGN KEY (archetype_id) REFERENCES archetype (id) ON DELETE CASCADE,
	CONSTRAINT "FEATURE_LINK_PERS_FK" FOREIGN KEY (personality_id) REFERENCES personality (id) ON DELETE CASCADE
);

QUIT;
