CREATE TABLE "HOST_ENVIRONMENT"
(    "ID" INTEGER CONSTRAINT "HOST_ENVIRONMENT_ID_NN" NOT NULL,
     "NAME" VARCHAR2(16 CHAR) CONSTRAINT "HOST_ENVIRONMENT_NAME_NN" NOT NULL,
     "CREATION_DATE" DATE CONSTRAINT "HOST_ENVIRONMENT_CR_DATE_NN" NOT NULL,
     CONSTRAINT "HOST_ENVIRONMENT_PK" PRIMARY KEY ("ID"),
     CONSTRAINT "HOST_ENVIRONMENT_UK" UNIQUE ("NAME")
);

CREATE SEQUENCE HOST_ENVIRONMENT_ID_SEQ;

INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'legacy', SYSDATE);
INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'dev', SYSDATE);
INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'qa', SYSDATE);
INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'uat', SYSDATE);
INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'prod', SYSDATE);
INSERT INTO HOST_ENVIRONMENT(id, name, creation_date) values(HOST_ENVIRONMENT_ID_SEQ.NEXTVAL, 'infra', SYSDATE);

ALTER TABLE PERSONALITY ADD HOST_ENVIRONMENT_ID NUMBER(*,0);
UPDATE PERSONALITY SET host_environment_id = (select id from host_environment where name='legacy');
ALTER TABLE PERSONALITY MODIFY ("HOST_ENVIRONMENT_ID" CONSTRAINT PERSONALITY_HOST_ENV_ID_NN NOT NULL);
ALTER TABLE PERSONALITY ADD CONSTRAINT "HOST_ENVIRONMENT_FK" FOREIGN KEY ("HOST_ENVIRONMENT_ID") REFERENCES HOST_ENVIRONMENT(id);

COMMIT;
QUIT;
